class eco.Sign {
	sign_id = null;
	text = "No text";
	tile = null
	
	
	constructor(tile, text) {
		this.tile = tile;
		this.text = text;
		
	}

	function Build() {
		local tile_index = tile.GetTileIndex();
		sign_id = GSSign.BuildSign(tile_index, text);
	}
	
	static function FromSignId(sign_id) {
		local text = GSSign.GetName(sign_id);
		local tile_index = GSSign.GetLocation(sign_id)
		local tile = eco.Tile(tile_index);
		local sign =  eco.Sign(tile, text);
		sign.SetId(sign_id);
		return sign;
	}
	
	function SetId (sign_id) {
		if(sign_id != null) {
			this.sign_id = sign_id; 
		}
	}
	
	function GetLocation(){
		return tile;
	}
	
	function Remove() {
		if(sign_id != null) {
			GSSign.RemoveSign(sign_id);
		}
	}
	
	function SetText (text) {
		if(sign_id != null)	{
			GSSign.SetName(sign_id, text);
		}
	}
	
	function GetText() {
		if(sign_id != null) {
			return GSSign.GetName(sign_id);
		} else {
			return "Error: wrong sign_id";
		}
	}
}